// SPDX-License-Identifier: MIT
pragma solidity >=0.8.0 <0.9.0;

/**
 * @dev IAdditionalSecurityModule flow Interface.
 */
interface IAdditionalSecurityModule {
    function verifyCrossChainRequest(
        uint256 eventNonce,
        uint256 requestTimestamp,
        bytes memory srcContractAddress,
        string memory srcChainId,
        bytes memory payload,
        bytes memory handler
    ) external returns (bool);
}
